export declare function SDL_GetWindowID(windowPtr: any): number;
export declare function SDL_HideWindow(windowPtr: any): void;
export declare function SDL_ShowWindow(windowPtr: any): void;
export declare function SDL_GetWindowBordersSize(windowPtr: any): {
    top: number;
    right: number;
    bottom: number;
    left: number;
};
export declare function SDL_SetWindowBordered(windowPtr: any, border: boolean): void;
export declare function SDL_GetWindowTitle(windowPtr: any): string;
export declare function SDL_SetWindowTitle(windowPtr: any, title: string): void;
export declare function SDL_GetWindowPosition(windowPtr: any): {
    x: number;
    y: number;
};
export declare function SDL_SetWindowPosition(windowPtr: any, x: number, y: number): void;
export declare function SDL_SetWindowResizable(windowPtr: any, bool: boolean): void;
export declare function SDL_GetWindowMaximumSize(windowPtr: any): {
    w: number;
    h: number;
};
export declare function SDL_SetWindowMaximumSize(windowPtr: any, w: number, h: number): void;
export declare function SDL_GetWindowMinimumSize(windowPtr: any): {
    w: number;
    h: number;
};
export declare function SDL_UpdateWindowSurface(windowPtr: any): void;
export declare function SDL_SetWindowMinimumSize(windowPtr: any, w: number, h: number): void;
export declare function SDL_GetWindowSize(windowPtr: any): {
    w: number;
    h: number;
};
export declare function SDL_SetWindowSize(windowPtr: any, w: number, h: number): void;
export declare function SDL_SetWindowFullscreen(windowPtr: any, mode: number): void;
export declare function SDL_GetWindowFlags(windowPtr: any): number;
export declare function SDL_MinimizeWindow(windowPtr: any): void;
export declare function SDL_MaximizeWindow(windowPtr: any): void;
export declare function SDL_SetWindowModalFor(windowPtr: any, parentWindowPtr: any): void;
export declare function SDL_RestoreWindow(windowPtr: any): void;
export declare function SDL_DestroyWindow(windowPtr: any): void;
export declare function SDL_RaiseWindow(windowPtr: any): void;
export declare function SDL_SetWindowGrab(windowPtr: any, show: boolean): void;
export declare function SDL_CreateWindow(title: string, x: number, y: number, w: number, h: number, flags: number): any;
export declare enum SDL_WindowFlags {
    SDL_WINDOW_FULLSCREEN = 1,
    SDL_WINDOW_OPENGL = 2,
    SDL_WINDOW_SHOWN = 4,
    SDL_WINDOW_HIDDEN = 8,
    SDL_WINDOW_BORDERLESS = 16,
    SDL_WINDOW_RESIZABLE = 32,
    SDL_WINDOW_MINIMIZED = 64,
    SDL_WINDOW_MAXIMIZED = 128,
    SDL_WINDOW_INPUT_GRABBED = 256,
    SDL_WINDOW_INPUT_FOCUS = 512,
    SDL_WINDOW_MOUSE_FOCUS = 1024,
    SDL_WINDOW_FULLSCREEN_DESKTOP = 4097,
    SDL_WINDOW_FOREIGN = 2048,
    SDL_WINDOW_ALLOW_HIGHDPI = 8192,
    SDL_WINDOW_MOUSE_CAPTURE = 16384
}
export declare enum SDL_WindowEventID {
    SDL_WINDOWEVENT_NONE = 0,
    SDL_WINDOWEVENT_SHOWN = 1,
    SDL_WINDOWEVENT_HIDDEN = 2,
    SDL_WINDOWEVENT_EXPOSED = 3,
    SDL_WINDOWEVENT_MOVED = 4,
    SDL_WINDOWEVENT_RESIZED = 5,
    SDL_WINDOWEVENT_SIZE_CHANGED = 6,
    SDL_WINDOWEVENT_MINIMIZED = 7,
    SDL_WINDOWEVENT_MAXIMIZED = 8,
    SDL_WINDOWEVENT_RESTORED = 9,
    SDL_WINDOWEVENT_ENTER = 10,
    SDL_WINDOWEVENT_LEAVE = 11,
    SDL_WINDOWEVENT_FOCUS_GAINED = 12,
    SDL_WINDOWEVENT_FOCUS_LOST = 13,
    SDL_WINDOWEVENT_CLOSE = 14
}
export declare const SDL_DisplayMode: any;
export declare const SDL_Window: import("ref").Type;
export declare const SDL_GLContext: import("ref").Type;
export declare const float: any;
export declare const float_ptr: any;
export declare const SDL_DisplayMode_ptr: any;
export declare const SDL_Window_ptr: any;
export declare const SDL_HitTest: any;
export declare function SDL_GetWindowSurface(windowPtr: any): any;
